openSUSE Security Update : libldap-2_4-2 (libldap-2_4-2-1301)

Medium Nessus Plugin ID 41041

Synopsis

The remote openSUSE host is missing a security update.

Description

This update of openldap2 makes SSL certificate verification more robust against uses of the special character \0 in the subjects name.
(CVE-2009-2408)

Solution

Update the affected libldap-2_4-2 packages.

See Also

https://bugzilla.novell.com/show_bug.cgi?id=537143

Plugin Details

Severity: Medium

ID: 41041

File Name: suse_11_1_libldap-2_4-2-090909.nasl

Version: Revision: 1.9

Type: local

Agent: unix

Published: 2009/09/22

Updated: 2014/06/13

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:libldap-2_4-2, p-cpe:/a:novell:opensuse:libldap-2_4-2-32bit, p-cpe:/a:novell:opensuse:openldap2, p-cpe:/a:novell:opensuse:openldap2-back-meta, p-cpe:/a:novell:opensuse:openldap2-back-perl, p-cpe:/a:novell:opensuse:openldap2-client, p-cpe:/a:novell:opensuse:openldap2-devel, p-cpe:/a:novell:opensuse:openldap2-devel-32bit, cpe:/o:novell:opensuse:11.1

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2009/09/09

Reference Information

CVE: CVE-2009-2408

CWE: 310